PHP Manual
Prev |  | Next

# OCI-Lob->setBuffering

(no version information, might be only in CVS)

OCI-Lob->setBuffering -- Changes current state of buffering for the large object

## Description

class OCI-Lob {
bool setBuffering ( bool on_off )
}

lob->setBuffering() sets the buffering for the large object, depending on the value of the on_off parameter. Repeated calls to lob->setBuffering() with the same flag will return `TRUE`. The values for on_off are: `TRUE` for on and `FALSE` for off.

Use of this function may provide performance improvements by buffering small reads and writes of LOBs by reducing the number of network round-trips and LOB versions. oci_lob_flush() should be used to flush buffers, when you have finished working with the large object.

Returns `TRUE` on success or `FALSE` on failure.

## Parameters

on_off

## See Also

OCI-Lob->getBuffering

Prev | Home | Next
OCI-Lob->seek | Up | OCI-Lob->size